mxCurveLabelShape.LabelGlyphCache (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxCurveLabelShape.LabelGlyphCache

    java.lang.Object
      com.mxgraph.shape.mxCurveLabelShape.LabelGlyphCache

Enclosing class:
  mxCurveLabelShape

    public class mxCurveLabelShape.LabelGlyphCache

extends Object

Utility class to describe the characteristics of each glyph of a branch branch label. Each instance represents one glyph

Field Summary
`mxRectangle` | `drawingBounds` The un-rotated rectangle that just bounds this character
`String` | `glyph` The glyph being drawn
`mxLine` | `glyphGeometry` A line parallel to the curve segment at which the element is to be drawn
`Shape` | `glyphShape` The cached shape of the glyph
`mxRectangle` | `labelGlyphBounds` Cache of the bounds of the individual element of the label of this edge.
`boolean` | `visible` Whether or not the glyph should be drawn

Constructor Summary
`mxCurveLabelShape.LabelGlyphCache()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelGlyphBounds

    public mxRectangle labelGlyphBounds

  Cache of the bounds of the individual element of the label of this edge. Note that these are the unrotated values used to determine the width of each glyph.

### drawingBounds

    public mxRectangle drawingBounds

  The un-rotated rectangle that just bounds this character

### glyph

    public String glyph

  The glyph being drawn

### glyphGeometry

    public mxLine glyphGeometry

  A line parallel to the curve segment at which the element is to be drawn

### glyphShape

    public Shape glyphShape

  The cached shape of the glyph

### visible

    public boolean visible

  Whether or not the glyph should be drawn

Constructor Detail

### mxCurveLabelShape.LabelGlyphCache

    public mxCurveLabelShape.LabelGlyphCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.